### A free/open-source library for quantitative finance

Public Member Functions
Garch11 Class Reference

GARCH volatility model. More...

`#include <ql/models/volatility/garch.hpp>`

Inherits VolatilityCompositor.

List of all members.

## Public Member Functions

| Garch11 (Real a, Real b, Real vl)
| Garch11 (const TimeSeries< Volatility > &qs)
TimeSeries< Volatility > | calculate (const TimeSeries< Volatility > &quoteSeries)
TimeSeries< Volatility > | calculate (const TimeSeries< Volatility > &quoteSeries, Real, Real, Real)
void | calibrate (const TimeSeries< Volatility > &quoteSeries)

## Detailed Description

GARCH volatility model.

Volatilities are assumed to be expressed on an annual basis.